/*$cb
 *    This file is a part of libopenmhp.
 *
 *    Copyright (C) 2005 Mikko Novaro <miknov@gmail.com>
 *
 *    See main header file (libopenmhp/openmhp.h) for licensing and
 *    contact information.
 $ce*/

#include "event.hpp"

cXletEvent::cXletEvent() {}

cImageUpdateEvent::cImageUpdateEvent(int layerIndex) : cXletEvent() {
  layerindex = layerIndex;
}

cImageUpdateEvent::~cImageUpdateEvent() {}

cVideoScaleEvent::cVideoScaleEvent(int PosX, int PosY, int Width, int Height) : cXletEvent() {
  posx = PosX; posy = PosY; width = Width; height = Height;
}

cVideoScaleEvent::~cVideoScaleEvent() {}
